import os
from concurrent.futures import ThreadPoolExecutor

import requests

server = "http://127.0.0.1:8081/api/v2/"

# workers = os.cpu_count()
workers = 1000

max_message = 100000


def send(num: int):
    print("发送第 %s 条消息" % num)
    requests.get(server + str(num))


if __name__ == '__main__':
    with ThreadPoolExecutor(max_workers=workers) as worker:
        for i in range(max_message):
            worker.submit(send, i)
